import request from '@/utils/request'

// 查询油耗登记信息列表
export function listFuelConsumptionLog (query) {
  return request({
    url: '/clw/fuelConsumptionLog/list',
    method: 'get',
    params: query
  })
}

// 查询油耗登记信息详细
export function getFuelConsumptionLog (ID) {
  return request({
    url: '/clw/fuelConsumptionLog/' + ID,
    method: 'get'
  })
}

// 新增油耗登记信息
export function addFuelConsumptionLog (data) {
  return request({
    url: '/clw/fuelConsumptionLog',
    method: 'post',
    data: data
  })
}

// 修改油耗登记信息
export function updateFuelConsumptionLog (data) {
  return request({
    url: '/clw/fuelConsumptionLog',
    method: 'put',
    data: data
  })
}

// 删除油耗登记信息
export function delFuelConsumptionLog (ID) {
  return request({
    url: '/clw/fuelConsumptionLog/' + ID,
    method: 'delete'
  })
}
